name: advent22

services:
  webdav:
    image: sfuhrm/docker-nginx-webdav
    environment:
      USERNAME: wduser
      PASSWORD: 53cr3t!
    volumes:
      - ../api/.devcontainer/webdav:/media/data
    healthcheck:
      test: ["CMD", "sh", "-c", "wget --spider -S -U 'HEALTHCHECK' 'http://127.0.0.1'  2>&1 | grep -E 'HTTP/1\\.[01] (200|401)'"]
      interval: 30s
      timeout: 10s
      start_period: 5s
      retries: 3

  api:
    image: mcr.microsoft.com/devcontainers/python:3-3.14-trixie
    volumes:
      - ../:/workspaces/advent22:cached
    command: sleep infinity

  ui:
    image: mcr.microsoft.com/devcontainers/javascript-node:4-24-trixie
    volumes:
      - ../:/workspaces/advent22:cached
    command: sleep infinity
